Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.generic
Class Responses

    java.lang.Object
      be.cin.nip.async.generic.Responses

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class Responses

extends Object
implements Serializable

Java class for Responses complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Responses">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgResponse" type="{urn:be:cin:nip:async:generic}MsgResponse" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TAckResponse" type="{urn:be:cin:nip:async:generic}TAckResponse" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="MsgCount" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="TAckCount" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Responses()`

Method Summary
`int` | `getMsgCount()` Gets the value of the msgCount property.
`List<MsgResponse>` | `getMsgResponses()` Gets the value of the msgResponses property.
`int` | `getTAckCount()` Gets the value of the tAckCount property.
`List<TAckResponse>` | `getTAckResponses()` Gets the value of the tAckResponses property.
`void` | `setMsgCount(int value)` Sets the value of the msgCount property.
`void` | `setTAckCount(int value)` Sets the value of the tAckCount property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Responses

    public Responses()

Method Detail

### getMsgResponses

    public List<MsgResponse> getMsgResponses()

  Gets the value of the msgResponses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the msgResponses property.

  For example, to add a new item, do as follows:

          getMsgResponses().add(newItem);

  Objects of the following type(s) are allowed in the list `MsgResponse`

### getTAckResponses

    public List<TAckResponse> getTAckResponses()

  Gets the value of the tAckResponses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tAckResponses property.

  For example, to add a new item, do as follows:

          getTAckResponses().add(newItem);

  Objects of the following type(s) are allowed in the list `TAckResponse`

### getMsgCount

    public int getMsgCount()

  Gets the value of the msgCount property.

### setMsgCount

    public void setMsgCount(int value)

  Sets the value of the msgCount property.

### getTAckCount

    public int getTAckCount()

  Gets the value of the tAckCount property.

### setTAckCount

    public void setTAckCount(int value)

  Sets the value of the tAckCount property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.